
//
// To jest przykładowy kod z podrozdziału 19.2 „Zmienianie rozmiaru” książki
// "Programowanie. Teoria i praktyka z wykorzystaniem C++" Bjarne'a Stroustrupa.
//

#include <vector>

using namespace std;

//------------------------------------------------------------------------------

int main()
{
    int n = 100;
    vector<double> v(n); // v.size()==n
    
    // Rozmiar można zmienić na trzy sposoby:
    
    v.resize(10);         // v zawiera teraz 10 elementów.
    
    v.push_back(7);      // Dodaje element o wartości 7 na końcu v.
                         // v.size() zwiększa się o 1.

    vector<double> v2(7);// v.size()==7
    v = v2;              // Przypisanie innego wektora. v jest teraz kopią v2.
                         // v.size() teraz równa się v2.size()
}

//------------------------------------------------------------------------------
